SoProfilerTopKit(3)

NAME
SoProfilerTopKit - The SoProfilerTopKit element class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/Profiler/nodekits/SoProfilerTopKit.h>

Inherits SoProfilerOverlayKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Public Attributes
SoSFColor txtColor
SoSFInt32 lines
SoSFVec2f topKitSize
SoSFVec3f position

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode textSep
SoSFNode color
SoSFNode translation
SoSFNode text
SoSFNode graph

  Additional Inherited Members

Detailed Description

The SoProfilerTopKit element class is yet to be documented.

Member Function Documentation

  SoType SoProfilerTopKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProfilerTopKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoProfilerOverlayKit.

  const SoFieldData ** SoProfilerTopKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoProfilerTopKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoProfilerOverlayKit.

  const SoNodekitCatalog * SoProfilerTopKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoProfilerTopKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoProfilerOverlayKit.

  const SoNodekitCatalog ** SoProfilerTopKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

Author

Generated automatically by Doxygen for Coin from the source code.